/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___GBPMD_H___
#define ___GBPMD_H___

#include	"pmd.h"

void insert_pmd_que(L_CHAR * db,L_CHAR * target,int);
void delete_pmd_que(L_CHAR **,L_CHAR **,int *);
void
set_metadata(L_CHAR * db,GB_RECT * minrect,REAL1 reso,
	     L_CHAR * crd,RESOURCE * r,RESOURCE * db_r,unsigned int interval);
void	init_pmd_function();
void	init_pmd_queue();
void  init_set_task();
int check_pmd_que();
int check_filter_cmp(XL_SEXP ** retp,
	L_CHAR * t1,
	L_CHAR * d1,
	L_CHAR * t2,
	L_CHAR * d2,
	 XL_SEXP * filter);
int check_filter_bound(XL_SEXP ** retp,
	L_CHAR * t1,
	L_CHAR * d1,
	L_CHAR * t2,
	L_CHAR * d2,
       XL_SEXP * filter);
void free_pmd_temp_list(PMD_TEMP_LIST * tl);
void
set_target_crd(int ses,L_CHAR * db,L_CHAR * crd,L_CHAR * map,L_CHAR * obj,
	       int interval);
void
set_target(int ses,L_CHAR * db,L_CHAR* target,int interval);



#endif

